from django.contrib import admin
from .models import Staff


class StaffAdmin(admin.ModelAdmin):
    list_display = ('name', 'department', 'location', 'name_mentioned', 'total_units')
    list_filter = ('location', 'department',)
    ordering = ['-total_units']
    search_fields = ['department', 'name']


admin.site.register(Staff, StaffAdmin)
