from django.core.management.base import BaseCommand
from review.model_pred_report import get_review_report_of_nth_days


class Command(BaseCommand):

    help = 'Make a CSV report of model prediction.'

    def add_arguments(self, parser):
        parser.add_argument('days', type=str, nargs='+',
                            help='Numbers of days report you want')

    def handle(self, *args, **options):
        days = int(options['days'][0])
        get_review_report_of_nth_days(days)
        self.stdout.write(self.style.SUCCESS(f'Model report of last {days} days has been exported.'))
